> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or get share token for wishlist

> Generate a shareable token for a wishlist. Returns existing valid token if one exists (otherwise creates a new one). The expires_at field is optional (can be null for no expiration, or a timestamp).



## OpenAPI

````yaml /swagger/auth-api.json post /api/v1/{app_id}/wishlists/{id}/share
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Auth API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //customers.enad.io
security: []
paths:
  /api/v1/{app_id}/wishlists/{id}/share:
    post:
      tags:
        - Wishlist
      summary: Create or get share token for wishlist
      description: >-
        Generate a shareable token for a wishlist. Returns existing valid token
        if one exists (otherwise creates a new one). The expires_at field is
        optional (can be null for no expiration, or a timestamp).
      parameters:
        - description: UUID of the app
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: UUID of the wishlist
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.CreateWishlistShareRequest
        description: Share token request (expires_at can be null or a timestamp)
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.WishlistShareTokenResponse
        '400':
          description: Invalid request or expiration time
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '404':
          description: Wishlist not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
      security:
        - Bearer: []
components:
  schemas:
    github_com_enadhq_koopa-key_internal_pkg_server_models.CreateWishlistShareRequest:
      properties:
        expires_at:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.WishlistShareTokenResponse:
      properties:
        created_at:
          type: string
        expires_at:
          type: string
        token:
          type: string
        wishlist_id:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object

````